Xapian::AssertionError Class Reference

AssertionError is thrown if a logical assertion inside Xapian fails. More...

`#include <error.h>`

Inheritance diagram for Xapian::AssertionError:
[legend]

## Public Member Functions

| AssertionError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor.
| AssertionError (const std::string &msg_, int errno_)
| Construct from message and errno value.
Public Member Functions inherited from Xapian::Error
const char * | get_type () const
| The type of this error (e.g. "DocNotFoundError".)
const std::string & | get_msg () const
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const
| Optional context information.
const char * | get_error_string () const
| Returns any system error string associated with this exception.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

AssertionError is thrown if a logical assertion inside Xapian fails.

In a debug build of Xapian, a failed assertion in the core library code will cause AssertionError to be thrown.

This represents a bug in Xapian (either an invariant, precondition, etc has been violated, or the assertion is incorrect!)

## Constructor & Destructor Documentation

## AssertionError() [1/2]

Xapian::AssertionError::AssertionError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0`
| ) |  |

inline explicit

General purpose constructor.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  context_ | Optional context information for this error.
  errno_ | Optional errno value associated with this error.

## AssertionError() [2/2]

Xapian::AssertionError::AssertionError | ( | const std::string & | msg_,
|  | int | errno_
| ) |  |

inline

Construct from message and errno value.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h